Zeitgeist.register_mimetype – zeitgeist-2.0 Reference Manual

# register_mimetype

## Description:

public void register_mimetype (string mimetype, string interpretation_uri)

zeitgeist_register_mimetype:

Associate a MIME-type with a given interpretation type. Registered MIME-types can be looked up with zeitgeist_interpretation_for_mimetype().

You can register a regular expression as mimetype if instead of this function you invoke zeitgeist_register_mimetype_regex().

MIME-types are first looked up by their exact name and then if none is found the regular expressions will be checked as fallbacks.

This library will install a wide range a common mimetypes for you, so unless you have very specific needs you will normally not have to call this function.

## Parameters:

mimetype | A MIME-type string. Eg. text/plain
interpretation_uri | A URI defining the subject interpretation type to associate with "mimetype"

Namespace: Zeitgeist
Package: zeitgeist-2.0